import type { Attachment } from '../types';
import type { AudioAttachment, FileAttachment, ImageAttachment, LocalAttachment, LocalAudioAttachment, LocalFileAttachment, LocalImageAttachment, LocalUploadAttachment, LocalVideoAttachment, LocalVoiceRecordingAttachment, UploadedAttachment, VideoAttachment, VoiceRecordingAttachment } from './types';
export declare const isScrapedContent: (attachment: Attachment) => boolean;
export declare const isLocalAttachment: (attachment: unknown) => attachment is LocalAttachment;
export declare const isLocalUploadAttachment: (attachment: unknown) => attachment is LocalUploadAttachment;
export declare const isFileAttachment: (attachment: Attachment | LocalAttachment, supportedVideoFormat?: string[]) => attachment is FileAttachment;
export declare const isLocalFileAttachment: (attachment: Attachment | LocalAttachment) => attachment is LocalFileAttachment;
export declare const isImageAttachment: (attachment: Attachment) => attachment is ImageAttachment;
export declare const isLocalImageAttachment: (attachment: Attachment | LocalAttachment) => attachment is LocalImageAttachment;
export declare const isAudioAttachment: (attachment: Attachment | LocalAttachment) => attachment is AudioAttachment;
export declare const isLocalAudioAttachment: (attachment: Attachment | LocalAttachment) => attachment is LocalAudioAttachment;
export declare const isVoiceRecordingAttachment: (attachment: Attachment | LocalAttachment) => attachment is VoiceRecordingAttachment;
export declare const isLocalVoiceRecordingAttachment: (attachment: Attachment | LocalAttachment) => attachment is LocalVoiceRecordingAttachment;
export declare const isVideoAttachment: (attachment: Attachment | LocalAttachment, supportedVideoFormat?: string[]) => attachment is VideoAttachment;
export declare const isLocalVideoAttachment: (attachment: Attachment | LocalAttachment) => attachment is LocalVideoAttachment;
export declare const isUploadedAttachment: (attachment: Attachment) => attachment is UploadedAttachment;
